#
# spec file for package python-cufflinks
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define         skip_python2 1
%define         skip_python36 1
Name:           python-cufflinks
Version:        0.17.3
Release:        3.10
Summary:        Productivity Tools for Plotly + Pandas
License:        MIT
URL:            https://github.com/santosjorge/cufflinks
Source:         https://files.pythonhosted.org/packages/source/c/cufflinks/cufflinks-%{version}.tar.gz
Patch0:         use-assert.patch
BuildRequires:  %{python_module setuptools >= 34.4.1}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-colorlover >= 0.2.1
Requires:       python-numpy >= 1.9.2
Requires:       python-pandas >= 0.19.2
Requires:       python-plotly >= 4.1.1
Requires:       python-six >= 1.9.0
Recommends:     python-ipython >= 5.3.0
Recommends:     python-ipywidgets >= 7.0.0
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module colorlover >= 0.2.1}
BuildRequires:  %{python_module ipython >= 5.3.0}
BuildRequires:  %{python_module ipywidgets >= 7.0.0}
BuildRequires:  %{python_module numpy >= 1.9.2}
BuildRequires:  %{python_module pandas >= 0.19.2}
BuildRequires:  %{python_module plotly >= 4.1.1}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module six >= 1.9.0}
# /SECTION
%python_subpackages

%description
This library binds the plotly with pandas for plotting.

%prep
%setup -q -n cufflinks-%{version}
%autopatch -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest tests.py

%files %{python_files}
%doc README.md
%license license.txt
%{python_sitelib}/*

%changelog
* Thu Sep 16 2021 Steve Kowalik <steven.kowalik@suse.com>
- Add patch use-assert.patch:
  * Don't use nose asserts.
- Actually run the testsuite.
* Wed Apr 21 2021 Steve Kowalik <steven.kowalik@suse.com>
- Do not build for Python 3.6, due to no NumPy.
* Wed Jul  8 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 0.17.3
  * Fix offline dependency with chart_studio
  * new colorscale
  * few bugfixes
* Fri Dec  6 2019 Todd R <toddrme2178@gmail.com>
- Disable python2 support since dependencies dropped python2
* Tue Nov 19 2019 Todd R <toddrme2178@gmail.com>
- Update to version 0.17
  * Add support for hovertext in annotations
  * Add support for opacity in annotations
  * Compatiblity with Plotly 4.x
  * Fix misc. issues for plotly v4.
  * Removed bestfit test
  * Update requirements.txt
  * Update tests.py
  * fix bestfit case when index is datetimeindex
  * fix imports and warnings with plotly v4
  * plotly 4.0.0 had a bad bug
  * re-enable bestfit test
  * remove statsmodels from reqs
* Tue Jul 23 2019 Todd R <toddrme2178@gmail.com>
- Update to version 0.16
  * Fix issue with multiple y-axis datapoints
  * make the theme parameter case insensitive.
* Mon Jun  3 2019 Todd R <toddrme2178@gmail.com>
- Update to version 0.15
  * Fix for offline mode.
  * Fix for colorchange in qf.add_volume
  * Fix scatter3d without categories.
  * Markers for categories.
  * Categories with timeseries arrays.
  * Shared axes in subplots
  * Shared axes with no shape specified.
  * Support for offline_config
  * Support for lists in heatmaps.
  * opacity for bars
- Fix jupyter dependencies.
* Mon Jun  3 2019 Todd R <toddrme2178@gmail.com>
- Fix jupyter dependencies.
* Tue Jan  8 2019 Todd R <toddrme2178@gmail.com>
- initial version
